
export interface ShapeProperty {
    id: number;
    createTime: string;
    spuCode: string;
    categoryId: number;
    createId: number;
    categoryName: string;
    createName: string;
    oneImgUrl: string;
    specimenNumber: number;
    dictDetails: string[];
}


export interface Shape {
    id: number;
    prototypeId: number;
    sdParamId: number;
    styleProductId: number;
    product: Product;
    sdParamEmplate: SdParamEmplate
}


export interface ProductBase {
    id?: number;
    productName: string;
    productNameEn?:string;
}

export interface ProductClassify {
    id: number;
    name?: string;
}

export interface ProductImage {
    imgId: number;
    imgUrl:string;
}

export interface ProductCategory {
    id: number;
    categoryName: string;
    categoryNameEn: string;
}



export interface SdParamEmplate {
    id: number;
    createTime: string;
    prompt: string;
    negativePrompt: string;
    type: number;
    maskBlur: number;
    inpaintFullResPadding: number;
    step?: number;
    styles: string;
    imageCfgScale: number;
    cfgScale: number;
    module: string;
    model: string;
    inpaintingFill: number;
    denoisingStrength: string;
    chinaName: string;
    isDelete: number;
    niter: number;
}

export interface SkuAttr {
    attrName: string;
    attrValName: string;
}

export interface ProductSku {
    id: number;
    spuCode: string;
    skuCode: string;
    skuImgId: number;
    weight: number;
    costPrice: number;
    homeFreight: number;
    packCost: number;
    minRetailPrice: number;
    length: number;
    width: number;
    height: number;
    rawSku: string;
    skuStatus: number;
    attrs: SkuAttr[];
    skuImgUrl: string;
}

export interface Product {
    id: number;
    spuCode: string;
    categoryId?: number;
    classifyId: number;
    sourceType: number;
    productStatus: number;
    creatorId: number;
    createTime: string;
    base: ProductBase;
    category?: ProductCategory;
    classify: ProductClassify;
    attrs: string[];
    productImgs: ProductImage[];
    productSkus: ProductSku[];
    creatorName: string;
}
